org.apache.solr.client.solrj.impl

## Class CloudSolrClient.RouteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.solr.common.SolrException
        - - org.apache.solr.client.solrj.impl.CloudSolrClient.RouteException

All Implemented Interfaces:
  Serializable

Enclosing class:
  CloudSolrClient

    public static class CloudSolrClient.RouteException
    extends SolrException

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

`SolrException.ErrorCode`

### Field Summary

### Fields inherited from class org.apache.solr.common.SolrException

`ignorePatterns, metadata`

### Constructor Summary

Constructors
Constructor and Description
`CloudSolrClient.RouteException(SolrException.ErrorCode errorCode, NamedList<Throwable> throwables, Map<String,LBHttpSolrClient.Req> routes)`

### Method Summary

Methods
`Map<String,LBHttpSolrClient.Req>` `getRoutes()`
`NamedList<Throwable>` `getThrowables()`

### Methods inherited from class org.apache.solr.common.SolrException

`code, doIgnore, getMetadata, getMetadata, getRootCause, log, log, log, log, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setMetadata, setMetadata, toStr, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudSolrClient.RouteException

    public CloudSolrClient.RouteException(SolrException.ErrorCode errorCode,
                                  NamedList<Throwable> throwables,
                                  Map<String,LBHttpSolrClient.Req> routes)

### Method Detail

#### getThrowables

    public NamedList<Throwable> getThrowables()

#### getRoutes

    public Map<String,LBHttpSolrClient.Req> getRoutes()